Skip to main content
Statistic and Management/Model Platform Config APIs
POSTModel Platform Config APIsSince 5.1.8SynchronousAuth Required

AddModelCenter

AddModelCenter

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • nameStringRequired

    Resource name

  • urlStringRequired

    URL of the model storage

  • descriptionString

    Detailed description of the resource

  • parametersString

    Additional parameters of the model center

  • systemTagsList

    System tag

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If this field is not null, the operation failed. If the operation succeeds, this field is null. For details, see error

    • codeStringRequired

      Error code, the globally unique identifier of the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field. The default value is null

    • opaqueLinkedHashMapRequired

      Reserved field. The default value is null

    • causeErrorCodeRequired

      Root error, the source error that caused the current error. If no source error exists, this field is null

  • inventoryModelCenterInventoryRequired

    For details, see inventory

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • urlStringRequired

      The model center URL.

    • statusStringRequired

      The model center status.

    • parametersStringRequired

      The model center parameters.

    • managementIpStringRequired

      The management IP address.

    • managementPortIntegerRequired

      The management port.

    • storageNetworkUuidStringRequired

      The storage network UUID.

    • serviceNetworkUuidStringRequired

      The service network UUID.

    • containerRegistryStringRequired

      The container registry address.

    • containerStorageNetworkStringRequired

      The container storage network.

    • containerNetworkStringRequired

      The container network.

    • capacityModelCenterCapacityInventoryRequired

      The model center capacity information.

    • zdfsZdfsInventoryRequired

      The ZDFS information.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

Endpoint

POST/zstack/v1/ai/model-centers

/zstack/v1/ai/model-centers

Operation ID

AddModelCenter

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/ai/model-centers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","url":"<url>","description":"<description>","parameters":"<parameters>","systemTags":["<systemTags>"],"userTags":["<userTags>"],"managementIp":"<managementIp>","managementPort":1,"storageNetworkUuid":"<storageNetworkUuid>","serviceNetworkUuid":"<serviceNetworkUuid>","containerRegistry":"<containerRegistry>","containerNetwork":"<containerNetwork>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"containerStorageNetwork":"<containerStorageNetwork>","zoneUuid":"<zoneUuid>"}'

Response Example

200
{ "inventory": { "description": "", "managementPort": 0 } }

Change History

This API has no change history records yet.

View all change history